Brivio API reference
Spaces

Update a space. Honours Idempotency-Key. (scope: spaces:write)

PATCH
/spaces/{id}

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key as Bearer token

Path Parameters

id*string

Space id

Formatuuid

Request Body

application/json
  1. body
name?string
Length1 <= length <= 120
slug?string
Match^[a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?$
Lengthlength <= 63
description?|
Lengthlength <= 2000

Response Body

OK

application/json
  1. response
data*

A grouping of domains, sites and apps of one project. It owns nothing: deleting it releases its members.

error*null
curl -X PATCH "https://example.com/spaces/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "slug": "string",    "name": "string",    "description": "string",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  },  "error": null}